import { SupportedEnvironments, DeploymentTemplate } from 'types';
export declare class PlatformClient {
    static start(platformTemplatesFilePath: string): void;
    static deploy({ username, authentication, targetEnvironment, pathToPlatformTemplates, pathToOssyFile }: {
        username: any;
        authentication: any;
        targetEnvironment: any;
        pathToPlatformTemplates: any;
        pathToOssyFile: any;
    }): Promise<void>;
    static getDeploymentTemplates(pathToOssyFile: string): Promise<DeploymentTemplate[]>;
    static getEnvironmentVariables(targetEnvironment: SupportedEnvironments, deploymentRequest: DeploymentTemplate): any;
}
